org.apache.cassandra.cql3.selection

## Class Selectable.WithFunction.Raw

- java.lang.Object
- - org.apache.cassandra.cql3.selection.Selectable.WithFunction.Raw

All Implemented Interfaces:
  Selectable.Raw

Enclosing class:
  Selectable.WithFunction

    public static class Selectable.WithFunction.Raw
    extends java.lang.Object
    implements Selectable.Raw

### Constructor Summary

Constructors
Constructor and Description
`Raw(FunctionName functionName, java.util.List<Selectable.Raw> args)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Selectable.WithFunction` `prepare(CFMetaData cfm)`
`boolean` `processesSelection()` Returns true if any processing is performed on the selected column.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Raw

    public Raw(FunctionName functionName,
               java.util.List<Selectable.Raw> args)

### Method Detail

#### prepare

    public Selectable.WithFunction prepare(CFMetaData cfm)

Specified by:
  `prepare` in interface `Selectable.Raw`

#### processesSelection

    public boolean processesSelection()

Description copied from interface: `Selectable.Raw`
Returns true if any processing is performed on the selected column.

Specified by:
  `processesSelection` in interface `Selectable.Raw`